

//////////////////////////// HEDONIC METHOD  /////////////////////////////


///SOCIO-ECONOMIC VARIABLE

gen S=.

label define S 37 "S_Gamle Oslo" 56 "S_Grünerløkka" 68 "S_Sagene" 70 "S_St. Hanshaugen" 67 "S_Frogner" 95 "S_Ullern" 97 "S_Vestre Aker" 98 "S_Nordre Aker" 42 "S_Bjerke" 18 "S_Grorud" 1 "S_Stovner" 16 "S_Alna" 76 "S_Østensjø" 92 "S_Nordstrand" 11 "S_Søndre Nordstrand"


label values S S

replace S=37 if bydelsnr == 1
replace S=56 if bydelsnr == 2
replace S=68 if bydelsnr == 3
replace S=70 if bydelsnr == 4
replace S=67 if bydelsnr == 5
replace S=95 if bydelsnr == 6
replace S=97 if bydelsnr == 7
replace S=98 if bydelsnr == 8
replace S=42 if bydelsnr == 9
replace S=18 if bydelsnr == 10
replace S=1 if bydelsnr == 11
replace S=16 if bydelsnr == 12
replace S=76 if bydelsnr == 13
replace S=92 if bydelsnr == 14
replace S=11 if bydelsnr == 15

///LN-TRANSFORMATION OF DISTANCE VARIABLES
gen ln_daycare = ln(daycare)
gen ln_primary = ln(primary)
gen ln_secondary = ln(secondary)
gen ln_high_school = ln(high_school)
gen ln_library = ln(library)
gen ln_museum = ln(museum)
gen ln_theater = ln(theater)
gen ln_gym = ln(gym)
gen ln_sport_arena = ln(sport_arena)
gen ln_gas_station = ln(gas_station)
gen ln_retail = ln(retail)
gen ln_subway_train = ln(subway_train)
gen ln_industry = ln(industry)

///HEDONIC REGRESSION MODELS 

///MODELL 1
reg ln_y i.sales_year ln_prom i.byggear i.bydelsnr i.quiet i.view i.balkong i.fireplace i.harheis, beta robust

///MODELL 2
reg ln_y i.sales_year ln_prom i.byggear i.bydelsnr i.quiet i.view i.balkong i.fireplace i.harheis ln_primary ln_secondary ln_library ln_museum ln_theater ln_gym ln_retail ln_subway_train ln_industry, beta robust

///MODELL 3
reg ln_y i.sales_year ln_prom i.byggear i.quiet i.view i.balkong i.fireplace i.harheis ln_primary ln_secondary ln_library ln_museum ln_theater ln_gym ln_retail ln_subway_train ln_industry S i.cityarea, beta robust


///RESIDUAL ANALYSIS

///MODELL 1
reg ln_y i.sales_year ln_prom i.byggear i.bydelsnr i.quiet i.view i.balkong i.fireplace i.harheis

estat vif
predict predikert1, xb
predict std_res1, rstandard

///MODELL 2
reg ln_y i.sales_year ln_prom i.byggear i.bydelsnr i.quiet i.view i.balkong i.fireplace i.harheis ln_primary ln_secondary ln_library ln_museum ln_theater ln_gym ln_retail ln_subway_train ln_industry

estat vif
predict predikert2, xb
predict std_res2, rstandard

///MODELL 3
reg ln_y i.sales_year ln_prom i.byggear i.quiet i.view i.balkong i.fireplace i.harheis ln_primary ln_secondary ln_library ln_museum ln_theater ln_gym ln_retail ln_subway_train ln_industry S i.cityarea

estat vif
predict predikert3, xb
predict std_res3, rstandard


///histogram
histogram std_res1, normal
histogram std_res2, normal
histogram std_res3, normal


///std_res
summarize std_res1
summarize std_res2
summarize std_res3


///sktest
sktest std_res1, noadjust
sktest std_res2, noadjust
sktest std_res3, noadjust
